package com.xunhong.erp.turbo.api.biz.api;

import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxSpecCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxSpecDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxSpecUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxSpecListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxSpecPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxSpecShowQry;
import com.xunhong.erp.turbo.api.biz.dto.vo.BoxSpecVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface BoxSpecServiceI {
    BoxSpecVO create(BoxSpecCreateCmd boxSpecCreateCmd);

    PageDTO<BoxSpecVO> page(BoxSpecPageQry boxSpecPageQry);

    List<BoxSpecVO> list(BoxSpecListQry boxSpecListQry);

    BoxSpecVO update(BoxSpecUpdateCmd boxSpecUpdateCmd);

    BoxSpecVO show(BoxSpecShowQry boxSpecShowQry);

    void destroy(BoxSpecDestroyCmd boxSpecDestroyCmd);
}

